package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroup;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupLog;

/**
 * @Author: cy
 * @Date: 2022/4/20
 */
@ApiModel(value = "VideoLessonAuthGroup")
public class VideoLessonAuthGroup extends VideoLessonGroup {
    @ApiModelProperty(value = "老师姓名")
    private String teacherName;

    @ApiModelProperty(value = "当前视频组id")
    private Long videoGroupId;

    private String realName;

    @ApiModelProperty(value = "老师手机号")
    private String teacherPhone;

    @ApiModelProperty(value = "课程名称")
    private String subjectName;

    @ApiModelProperty("审核理由")
    private String remarks;

    @ApiModelProperty("视频集合")
    private List<VideoLessonGroupDetail> videoList;

    @ApiModelProperty("上一次的修改记录")
    private VideoLessonGroupLog lastVideoLessonGroupLog;
    
    private String videoDetailJson;
    
    private Long version;

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getTeacherPhone() {
        return teacherPhone;
    }

    public void setTeacherPhone(String teacherPhone) {
        this.teacherPhone = teacherPhone;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Long getVideoGroupId() {
        return videoGroupId;
    }

    public void setVideoGroupId(Long videoGroupId) {
        this.videoGroupId = videoGroupId;
    }

    public List<VideoLessonGroupDetail> getVideoList() {
        return videoList;
    }

    public void setVideoList(List<VideoLessonGroupDetail> videoList) {
        this.videoList = videoList;
    }

	public VideoLessonGroupLog getLastVideoLessonGroupLog() {
		return lastVideoLessonGroupLog;
	}

	public void setLastVideoLessonGroupLog(VideoLessonGroupLog lastVideoLessonGroupLog) {
		this.lastVideoLessonGroupLog = lastVideoLessonGroupLog;
	}

	public Long getVersion() {
		return version;
	}

	public void setVersion(Long version) {
		this.version = version;
	}

	public String getVideoDetailJson() {
		return videoDetailJson;
	}

	public void setVideoDetailJson(String videoDetailJson) {
		this.videoDetailJson = videoDetailJson;
	}

}